package J20250716.demo05_codeblocks;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo02
 * @description
 * @create 2025/7/16
 */
public class Demo02 {
    {
        //成员代码块 构造代码块
        //构造代码块是在类中，方法外部定义的，和方法是同一级。
        //每当执行构造方法的时候，都会先执行构造代码块里的代码。
        System.out.println("今天天气不错");
        System.out.println("是风和日丽的");
        //提高代码的复用性，代码块里面的代码，会被所有的构造方法执行。
    }
    /*


     */
    public Demo02() {
    }
    public Demo02(int a) {
    }
    public Demo02(String b) {
    }
    public Demo02(double c) {
    }
    public Demo02(int a,String b) {
    }
    public Demo02(int a,String b,double c) {
    }

    public static void main(String[] args) {
        Demo02 d=new Demo02(1);
    }
}
